<template>
  <div>
    <div
      class="font-bold text-28px text-white pl-2 pb-1 mb-5 relative leading-none"
    >
      <svg-icon
        class="absolute left-0 bottom-0 z-0"
        style="width: 22px; height: 22px"
        name="icon-title-1"
      />
      <span class="relative">{{ blockTitle }}</span>
    </div>
    <div class="mb-22px">
      <div class="flex items-center text-white text-base space-x-3">
        <div class="hover:text-green-spring"><a href="#">Mobile</a></div>
        <div class="hover:text-green-spring"><a href="#">Laptop & PC</a></div>
        <div class="text-gray-medium hover:text-green-spring leading-none">
          <a href="#" class="flex items-center">
            <span>Tất cả</span>
            <svg-icon name="arrow-right" class="w-2 h-2 ml-1"></svg-icon>
          </a>
        </div>
      </div>
    </div>
    <div
      class="pb-4 mb-4 border-solid border-b border-white border-opacity-15 md:border-b-0 md:mb-30px"
    >
      <ItemGrid :item="itemgrid" />
    </div>
    <div class="space-y-5">
      <ItemListSmallLight
        v-for="(item, index) in items"
        :key="'item' + index"
        :item="item"
      />
    </div>
  </div>
</template>
<script>
export default {
  name: 'CategoryFirst',
  components: {
    ItemGrid: () => import('~/components/common/ItemGrid'),
    ItemListSmallLight: () => import('~/components/common/ItemListSmallLight')
  },
  props: {
    blockTitle: {
      type: String,
      default: ''
    }
  },
  data() {
    return {
      itemgrid: {
        title:
          'Trực tiếp ra mắt Asus VivoBook S mới - "tuyên ngôn cá tính" cho Gen Z',
        image: '/remarkable-01.png',
        content: ''
      },
      items: [
        {
          title: 'Dell Latitude 3510 - thiết kế nhỏ gọn, chip Intel Core 10',
          image: '/remarkable-01.png',
          content: ''
        },
        {
          title: 'Asus mang ProArt StudioBook One về Việt Nam, giá 270 triệu',
          image: '/remarkable-02.png',
          content: ''
        },
        {
          title: 'Loại MacBook cần tránh xa khi mua cũ ở Việt Nam',
          image: '/remarkable-03.png',
          content: ''
        }
      ]
    }
  }
}
</script>
